#$Id: Makefile,v 1.11 2005/04/10 11:46:45 feeling Exp $'
CFLAGS= -Wall -g -fpermissive -std=c++14
CPP= g++
GCC= gcc
EXECUTABLE = backkprop
#INCLUDES= -I ./Include
all : buildobjs
test: backprop testall

backprop : neurone.o main.o couche.o synapse.o synapseMatrix.o inputCouche.o outputCouche.o hiddenCouche.o reseau.o Utils.o
	$(CPP) $(CFLAGS) $(INCLUDES) -o $(EXECUTABLE) neurone.o main.o couche.o synapse.o synapseMatrix.o  inputCouche.o outputCouche.o hiddenCouche.o reseau.o Utils.o

buildobjs : neurone.o couche.o synapse.o synapseMatrix.o inputCouche.o outputCouche.o hiddenCouche.o reseau.o Utils.o

neurone.o : neurone.cpp
	$(CPP) $(CFLAGS) $(INCLUDES) -c neurone.cpp
couche.o : couche.cpp
	$(CPP) $(CFLAGS) $(INCLUDES) -c couche.cpp
inputCouche.o : inputCouche.cpp
	$(CPP) $(CFLAGS) $(INCLUDES) -c inputCouche.cpp
outputCouche.o : outputCouche.cpp
	$(CPP) $(CFLAGS) $(INCLUDES) -c outputCouche.cpp
hiddenCouche.o : hiddenCouche.cpp
	$(CPP) $(CFLAGS) $(INCLUDES) -c hiddenCouche.cpp
synapse.o : synapse.cpp
	$(CPP) $(CFLAGS) $(INCLUDES) -c synapse.cpp
reseau.o : reseau.cpp
	$(CPP) $(CFLAGS) $(INCLUDES) -c reseau.cpp
synapseMatrix.o : synapseMatrix.cpp
	$(CPP) $(CFLAGS) $(INCLUDES) -c synapseMatrix.cpp
main.o : main.cpp
	$(CPP) $(CFLAGS) $(INCLUDES) -c main.cpp
Utils.o : Utils.cpp
	$(CPP) $(CFLAGS) $(INCLUDES) -c Utils.cpp
clean :
	rm -f *.o

mrproper : 
	rm -rf *.o 
	rm -f $(EXECUTABLE)

cleano :
	rm -f *.o
testall:
	$(MAKE) -C test
cleantest:
	rm -f *.o
	$(MAKE) -C test clean
